function [timeMeshOut] = adjustTimeMesh(clickDBtimeMs, k, m)
    
    timeMeshOut = makeTimeMesh(clickDBtimeMs);
    
    noDB = size(clickDBtimeMs, 1);
    
    for n = 1 : 1000
        
        for i = 2 : noDB - 1
            diff = timeMeshOut(i) - clickDBtimeMs(i);
            diffInternPluss = timeMeshOut(i+1) - timeMeshOut(i);
            diffInternMinus = timeMeshOut(i) - timeMeshOut(i-1);
            
            diffInternSum = diffInternPluss - diffInternMinus;
            
            timeMeshOut(i) = timeMeshOut(i) - k*diff + m*diffInternSum;
        end
        
    end
    
end